## com.lowagie.tools.arguments
Class ToolArgument

    java.lang.Object
      com.lowagie.tools.arguments.ToolArgument

All Implemented Interfaces:
  java.awt.event.ActionListener, java.beans.PropertyChangeListener, java.util.EventListener

Direct Known Subclasses:
  BitsetArgument, FileArgument, ImageArgument, OptionArgument, PageSelectorToolArgument

    public class ToolArgument

extends java.lang.Object
implements java.awt.event.ActionListener, java.beans.PropertyChangeListener

This is an argument of one of the tools in the toolbox.

Field Summary
`protected java.lang.String` `classname` type of the argument.
`protected java.lang.String` `description` describes the argument.
`protected java.lang.String` `name` short name for the argument.
`(package private) java.util.Vector` `propertyChangeListeners`
`protected AbstractTool` `tool` reference to the internal frame
`protected java.lang.String` `value` value of the argument.

Constructor Summary
`ToolArgument()` Constructs a ToolArgument.
`ToolArgument(AbstractTool tool, java.lang.String name, java.lang.String description, java.lang.String classname)` Constructs a ToolArgument.

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener l)`
`protected void` `firePropertyChange(java.beans.PropertyChangeEvent evt)`
`java.lang.Object` `getArgument()` Gets the argument as an object.
`java.lang.String` `getClassname()`
`java.lang.String` `getDescription()`
`java.lang.String` `getName()`
`java.lang.String` `getUsage()` Give you a String that can be used in a usage description.
`java.lang.String` `getValue()`
`void` `propertyChange(java.beans.PropertyChangeEvent evt)` This method gets called when a bound property is changed.
`void` `removePropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` `setClassname(java.lang.String classname)`
`void` `setDescription(java.lang.String description)`
`void` `setName(java.lang.String name)`
`void` `setValue(java.lang.String value)`
`void` `setValue(java.lang.String value, java.lang.String propertyname)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tool

    protected AbstractTool tool

  reference to the internal frame

### description

    protected java.lang.String description

  describes the argument.

### name

    protected java.lang.String name

  short name for the argument.

### classname

    protected java.lang.String classname

  type of the argument.

### value

    protected java.lang.String value

  value of the argument.

### propertyChangeListeners

    transient java.util.Vector propertyChangeListeners

Constructor Detail

### ToolArgument

    public ToolArgument()

  Constructs a ToolArgument.

### ToolArgument

    public ToolArgument(AbstractTool tool,
                        java.lang.String name,
                        java.lang.String description,
                        java.lang.String classname)

  Constructs a ToolArgument.

  Parameters:
    `tool` - the tool that needs this argument
    `name` - the name of the argument
    `description` - the description of the argument
    `classname` - the type of the argument

Method Detail

### getArgument

    public java.lang.Object getArgument()
                                 throws java.lang.InstantiationException

  Gets the argument as an object.

  Returns:
    an object
  Throws:
    `java.lang.InstantiationException`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  See Also:
    `ActionListener.actionPerformed(java.awt.event.ActionEvent)`

### getUsage

    public java.lang.String getUsage()

  Give you a String that can be used in a usage description.

  Returns:
    a String

### getClassname

    public java.lang.String getClassname()

  Returns:
    Returns the classname.

### setClassname

    public void setClassname(java.lang.String classname)

  Parameters:
    `classname` - The classname to set.

### getDescription

    public java.lang.String getDescription()

  Returns:
    Returns the description.

### setDescription

    public void setDescription(java.lang.String description)

  Parameters:
    `description` - The description to set.

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name to set.

### getValue

    public java.lang.String getValue()

  Returns:
    Returns the value.

### setValue

    public void setValue(java.lang.String value)

  Parameters:
    `value` - The value to set.

### setValue

    public void setValue(java.lang.String value,
                         java.lang.String propertyname)

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

### firePropertyChange

    protected void firePropertyChange(java.beans.PropertyChangeEvent evt)

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  This method gets called when a bound property is changed.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Parameters:
    `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.